#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

#include <stdio.h>
#include <string.h>

extern int errno;

int main (int argc, char *argv[])
{
  struct sockaddr_in sin, fsin;
  char buf [100];
  int sock;
  int alen;
  int length;

  sin.sin_family = AF_INET;
  sin.sin_addr.s_addr = INADDR_ANY;
  sin.sin_port = htons (2000);

  if ((sock = socket (PF_INET, SOCK_STREAM, getprotobyname ("tcp"))) < 0)
  {
    printf ("Can't create socket: %s\n", strerror (errno));
    exit (2);
  }

  if (bind (sock, (struct sockaddr *) &sin, sizeof (sin)) < 0)
  {
    printf ("Can't bind to port: %s\n", strerror (errno));
    exit (3);
  }

  while (1)
  {
    printf ("Waiting ...\n");
    alen = sizeof (fsin);
    if ((length = recvfrom (sock, buf, sizeof (buf), 0,
      (struct sockaddr *) &fsin, &alen)) < 0)
    {
      printf ("recvfrom: %s\n", strerror (errno));
      exit (4);
    }

    buf [length] = '\0';
    printf ("%s\n", buf);
  }
}