/*
 * markerlist.h
 *
 * $Id: markerlist.h,v 0.1 1998/12/09 18:55:27 thorsten Exp thorsten $
 *
 * This file is part of XGlobe. See README for details.
 *
 * Copyright (C) 1998 Thorsten Scheuermann
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licenses as published by
 * the Free Software Foundation.
 *
 * $Log: markerlist.h,v $
 * Revision 0.1  1998/12/09 18:55:27  thorsten
 * initial revision
 *
 */

#ifndef _MARKERLIST_H
#define _MARKERLIST_H

#include <qstring.h>
#include <qlist.h>

class Location
{
  friend class Renderer;
  
public:
  Location(double lon, double lat, const char *name);
 ~Location() {}
  QString getName(void);
  double  getLongitude(void);
  double  getLatitude(void);

private:
  double  lon;
  double  lat;
  double  cos_angle;
  int     x, y;
  QString name;
};

/* ------------------------------------------------------------------------ */

class MarkerList
{
public:
  MarkerList(void) { list.setAutoDelete(TRUE); }
 ~MarkerList() { list.clear(); }
  inline void append(const Location *l) { list.append(l); }
  inline Location *first(void) { return list.first(); }
  inline Location *last(void) { return list.last(); }
  inline Location *next(void) { return list.next(); }
  inline Location *prev(void) { return list.prev(); }
  inline Location *current(void) { return list.current(); }
  inline uint count(void) { return list.count(); }
  
  bool loadMarkerFile(const char *filename);
  
protected:
  QList<Location> list;
};

#endif
